From: David Bremner <david@tethera.net>
To: Tomi Ollila <tomi.ollila@iki.fi>, Jani Nikula <jani@nikula.org>,
notmuch@notmuchmail.org
Subject: Re: [PATCH v2 00/13] literal folder: prefix, new path: prefix
Date: Wed, 05 Mar 2014 07:48:29 -0400 [thread overview]
Message-ID: <87fvmwvpbm.fsf@zancas.localnet> (raw)
In-Reply-To: <m2d2i13up9.fsf@guru.guru-group.fi>
Tomi Ollila <tomi.ollila@iki.fi> writes:
>
> I can contribute script with interface
>
> ./fetch-and-check.sh [--verify-only] destdir url sha256sum
>
This script is basically embedded in
http://pivot.cs.unb.ca/git?p=notmuch.git;a=commitdiff;h=f93e32b11e517e160c755355de55ab465206dc62
except that I rebased away the verification in the actual test :(
Something like
diff --git a/test/T530-upgrade.sh b/test/T530-upgrade.sh
index 3c0134f..768242d 100755
--- a/test/T530-upgrade.sh
+++ b/test/T530-upgrade.sh
@@ -5,6 +5,10 @@ test_description="database upgrade"
dbtarball=database-v1.tar.xz
+cd $TEST_DIRECTORY/test-databases
+sha256sum --quiet --check ${dbtarball}.sha256 || error "checksum of database failed"
+cd - >& /dev/null
+
tar Jxf $TEST_DIRECTORY/test-databases/${dbtarball} -C ${MAIL_DIR} --strip-component
test_begin_subtest "folder: search does not work with old database version"
next prev parent reply other threads:[~2014-03-05 11:48 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-02-22 22:25 [PATCH v2 00/13] literal folder: prefix, new path: prefix Jani Nikula
2014-02-22 22:25 ` [PATCH v2 01/13] lib: refactor folder term update after filename removal Jani Nikula
2014-02-22 22:25 ` [PATCH v2 02/13] lib: add support for path: prefix searches Jani Nikula
2014-02-22 22:25 ` [PATCH v2 03/13] test: make insert test use the path: prefix Jani Nikula
2014-02-22 22:25 ` [PATCH v2 04/13] lib: make folder: prefix literal Jani Nikula
2014-02-22 22:25 ` [PATCH v2 05/13] test: fix test for literal folder: search Jani Nikula
2014-02-23 14:02 ` David Bremner
2014-02-22 22:25 ` [PATCH v2 06/13] test: make it possible to have several corpora Jani Nikula
2014-02-22 22:25 ` [PATCH v2 07/13] test: add new corpus with folders Jani Nikula
2014-02-22 22:25 ` [PATCH v2 08/13] test: add tests for the new boolean folder: and path: prefixes Jani Nikula
2014-02-22 22:25 ` [PATCH v2 09/13] devel: add script to generate test databases Jani Nikula
2014-02-22 22:25 ` [PATCH v2 10/13] test: add test database in format version 1 Jani Nikula
2014-02-22 22:25 ` [PATCH v2 11/13] test: add database upgrade test from format version 1 to 2 Jani Nikula
2014-02-22 22:25 ` [PATCH v2 12/13] man: update man pages for folder: and path: search terms Jani Nikula
2014-02-22 22:25 ` [PATCH v2 13/13] man: try to clarify the folder: and path: vs. --output=files confusion Jani Nikula
2014-02-22 23:57 ` [PATCH v2 00/13] literal folder: prefix, new path: prefix Mark Walters
2014-02-23 11:15 ` Tomi Ollila
2014-03-02 19:11 ` David Bremner
2014-03-04 19:37 ` Jani Nikula
2014-03-04 21:15 ` David Bremner
2014-03-05 8:39 ` Tomi Ollila
2014-03-05 11:48 ` David Bremner [this message]
2014-03-05 13:10 ` Tomi Ollila
2014-03-05 14:41 ` David Bremner
2014-03-05 15:40 ` Tomi Ollila
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: https://notmuchmail.org/
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=87fvmwvpbm.fsf@zancas.localnet \
--to=david@tethera.net \
--cc=jani@nikula.org \
--cc=notmuch@notmuchmail.org \
--cc=tomi.ollila@iki.fi \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://yhetil.org/notmuch.git/
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).